# Updating

This document will hold all information on how to update between major versions.


## Update from `v1.1.0` to `v1.2.0`

**PR:** https://github.com/cytopia/devilbox/pull/647

This release changes the way the SSL CA and certificates are generated.
Background here: https://support.apple.com/en-us/HT210176

In order to use the new CA, you will need to delete your current CA in `ca/devilbox-ca.*`.
A new one will be automatically generated if none is present. Additionally you will have to
import the CA again in your browser(s).


## Update from `v0.x.y` to `v1.x.y`

#### Docker Volumes

**PR:** https://github.com/cytopia/devilbox/pull/383

This feature will move all data directories (MySQL, PostgreSQL, MongoDB and others) to Docker
volumes for best-practice and compatibility reasons on different operating systems.

Before updating to this release, you will need to manually trigger a backup of MySQL,
PostgreSQL and MongoDB to ensure that you have a copy of your data. By switching to this release
you will be unable to access your current data:

**Steps to update:**

1. Backup your data
2. Switch to the new release
3. Import your data

**Documentation:**

* [Backup Mysql](https://devilbox.readthedocs.io/en/latest/maintenance/backup-and-restore-mysql.html)
* [Backup PostgreSQL](https://devilbox.readthedocs.io/en/latest/maintenance/backup-and-restore-pgsql.html)
* [Backup MongoDB](https://devilbox.readthedocs.io/en/latest/maintenance/backup-and-restore-mongo.html)
